$(document).ready(function() {
	//init all components
	getOrigin();
});

function getOrigin() {
	$.ajax({
		url: "api/set_origin.php?action=getOrigin",
		type: "GET",
		dataType: 'json',
		success: function(result) { //
			if (result.success === true) {
				html = "";
				$.each(result.Origin, function(k, v) {
					html += '<tr>';
					html += '        <td class="c1 text-center">' + v.origin_id + '</td>';
					html += '        <td class="c2">' + v.origin_name + '</td>';

					if (v.origin_enabled == "0") {
						v.origin_enabled = 'Yes';
					} else {
						v.origin_enabled = 'No';
					}
					html += '        <td class="c3  text-center">' + v.origin_enabled + '</td>';
					html += '        <td class="c4 text-center"><button type="button" class="btn btn-primary btn-sm" onclick="EditOrigin(\'' + v.origin_id + '\')"><i class="fa fa-pencil" aria-hidden="true"></i></button></td>';
					html += '    </tr>';
				});
				$('#Origintbody').html(html);
				//Destroy the datatable if exits
				if ($.fn.DataTable.isDataTable('#OriginTable')) {
					$('#OriginTable').DataTable().destroy();
				}
				$('#Origintbody').html(html);
				//Change the table body height as below :ScrollY:
				var table = $('#OriginTable').DataTable({
					'dom': '<"DataTableInfo"i><"DataTableFilter"f>rtl',
					scrollY: "520px",
					scroller: true,
					scrollX: false,
					scrollCollapse: false,
					ordering: false,
					"oLanguage": {
						"sSearch": "<strong>Search Origin:</strong>" //search
					},
					"initComplete": function(settings, json) {
						$('.dataTables_scrollBody').css({
							'overflow': 'hidden',
							'overflow-y': 'auto'
						});
					},
					columnDefs: [
						{width: "10%", targets: 0},
						{width: "50%", targets: 1},
						{width: "30%", targets: 2},
						{width: "10%", targets: 3}
					],
				});
			} else {
				html = '<div class="alert alert-warning alert-dismissible" role="alert">' + result.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
				$('#alertmsg').html(html);
				$('#alert').slideDown();
			}
		}
	});
};